<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>{{item.name || 'New Item'}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="form">
    <ion-row>
      <ion-col size="12">
          <ion-item>
            <ion-label color="medium">
              <h2>Name</h2>
            </ion-label>
            <ion-input type="text" class="ion-text-right" formControlName="name"></ion-input>
          </ion-item>
      </ion-col>
      <ion-col size="6">
        <ion-item>
          <ion-label color="medium">
            <h2>Code</h2>
          </ion-label>
          <ion-input type="text" class="ion-text-right" formControlName="code"></ion-input>
        </ion-item>
    </ion-col>
    <ion-col size="6">
        <ion-item>
          <ion-label color="medium">
            <h2>Unit</h2>
          </ion-label>
          <ion-input type="text" class="ion-text-right" formControlName="uom"></ion-input>
        </ion-item>
    </ion-col>    
    <ion-col size="6">
        <ion-item>
          <ion-label color="medium">
            <h2>Cost</h2>
          </ion-label>
          <ion-input type="number" class="ion-text-right" formControlName="cost"></ion-input>
        </ion-item>
      </ion-col>
      <ion-col size="6">
        <ion-item>
          <ion-label color="medium">
            <h2>Price</h2>
          </ion-label>
          <ion-input type="number" class="ion-text-right" formControlName="price"></ion-input>
        </ion-item>
      </ion-col>

      <ion-col size="12">
        <ion-item>
          <ion-label color="medium">
            <h2>Active</h2>
          </ion-label>
          <ion-toggle formControlName="isActive"></ion-toggle>
        </ion-item>
      </ion-col>
    </ion-row>
  </form>
</ion-content>

<ion-footer>
  <ion-button mode="ios" expand="full" shape="round" [disabled]="!form.valid || !form.dirty" (click)="save()">Save</ion-button>
</ion-footer>